/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/home/abuild/rpmbuild/BUILD/avogadrolibs-1.98.1-build/avogadrolibs-1.98.1/avogadro/qtplugins/networkdatabases/networkdatabases.h"


namespace Avogadro::QtPlugins {

class NetworkDatabasesFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit NetworkDatabasesFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new NetworkDatabases(parent_);
    object->setObjectName("NetworkDatabases");
    return object;
  }

  QString identifier() const { return "NetworkDatabases"; }

  QString description() const { return "Network databases"; }

};

}

#include "NetworkDatabasesPlugin.moc"
