/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/home/abuild/rpmbuild/BUILD/avogadrolibs-1.98.1-build/avogadrolibs-1.98.1/avogadro/qtplugins/symmetry/symmetry.h"


namespace Avogadro::QtPlugins {

class SymmetryFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit SymmetryFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new Symmetry(parent_);
    object->setObjectName("Symmetry");
    return object;
  }

  QString identifier() const { return "Symmetry"; }

  QString description() const { return "Provide symmetry functionality."; }

};

}

#include "SymmetryPlugin.moc"
